<template>
  <div>
    <h1>Create a Greeting!</h1>
    <form @submit.prevent="processForm">
      Greeting:
      <input type="text" name="greeting" v-model="greeting.message" />
      <input type="submit" value="Save" />
    </form>
  </div>
</template>

<script>
import { mapActions } from "vuex";

// @vuese
// This component creates a greeting
export default {
  name: "greeting-create",
  data() {
    return {
      greeting: {
        message: "",
      },
    };
  },
  methods: {
    ...mapActions("greetings", ["addGreeting"]),

    // @vuese
    // Process form to save a new greeting
    processForm: function () {
      this.addGreeting({
        message: this.greeting.message,
      });
    },
  },
};
</script>
